org.jboss.jca.common.metadata.resourceadapter

## Class ActivationsImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.resourceadapter.ActivationsImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.resourceadapter.Activations

      public class ActivationsImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.resourceadapter.Activations

  Activations of a resource adapter
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.resourceadapter.Activations

      `org.jboss.jca.common.api.metadata.resourceadapter.Activations.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivationsImpl(java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.Activation> activations)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.Activation>` | `getActivations()` Get the activations.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivationsImpl

          public ActivationsImpl(java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.Activation> activations)

      Constructor
      Parameters:
        `activations` - activations

  - ### Method Detail

    - #### getActivations

          public final java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.Activation> getActivations()

      Get the activations.
      Specified by:
        `getActivations` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activations`
      Returns:
        the activations.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)